Skip to main content
GET
/
companies
/
{companyId}
/
people
Get company people
curl --request GET \
  --url https://app.tryspecter.com/api/v1/companies/{companyId}/people \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://app.tryspecter.com/api/v1/companies/{companyId}/people"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://app.tryspecter.com/api/v1/companies/{companyId}/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "person_id": "per_b9c4ad540fad4c773a9aa648",
    "full_name": "João Caetano",
    "title": "AI/ML Engineer",
    "is_founder": false,
    "departments": [
      [
        "Engineering"
      ]
    ],
    "seniority": "Senior Level"
  }
]
{
"errorCode": "VALIDATION_ERROR",
"message": "Invalid request parameters."
}
{
"errorCode": "API_KEY_MISSING",
"message": "No API Key was presented on the header X-API-KEY"
}
{
"errorCode": "OUT_OF_CREDITS",
"message": "<string>"
}
{
"errorCode": "NOT_PERMITTED",
"message": "You do not have permission to access this resource."
}
{
"errorCode": "<string>",
"message": "<string>"
}
{
"errorCode": "<string>",
"message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

companyId
string
required

The Specter company ID.

Query Parameters

limit
number

The number of results to return, default is 50.

page
number

The page number of results to return, base 0, default is 0.

founders
boolean

Return only founders.

ceo
boolean

Return only CEOs (a company can have more than one).

key_people
boolean

Return only key people (CEO, CTO, CFO, COO, and current or past founders).

department
enum<string>

Return only people in the given department.

Available options:
BD & Marketing,
Engineering,
Finance,
Human Resources,
Legal & Compliance,
Operations,
Product & Research,
Senior Leadership,
Strategy & Corporate Development,
Other

Response

The people who work at the company.

person_id
string | null

The person's Specter ID, usable on the people endpoints (may be null for legacy records).

Example:

"per_b9c4ad540fad4c773a9aa648"

full_name
string

The person's full name.

Example:

"João Caetano"

title
string | null

The person's job title (may be null).

Example:

"AI/ML Engineer"

is_founder
boolean

Whether the person is a founder.

Example:

false

departments
enum<string>[]

The departments the person belongs to (may be empty).

Available options:
BD & Marketing,
Engineering,
Finance,
Human Resources,
Legal & Compliance,
Operations,
Product & Research,
Senior Leadership,
Strategy & Corporate Development,
Other
seniority
string | null

The person's seniority level (may be null).

Example:

"Senior Level"